<?php

namespace Drupal\logsentry\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\ConfigTarget;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\RedundantEditableConfigNamesTrait;

/**
 * Configure JSON:API settings for this site.
 *
 * @internal
 */
class LogSentrySettingsForm extends ConfigFormBase {
  use RedundantEditableConfigNamesTrait;

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'logsentry_settings';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['api_key'] = [
      '#type' => 'textfield',
      '#title' => $this->t('API key'),
      '#config_target' => new ConfigTarget(
        'logsentry.settings',
        'api_key'
      ),
      '#description' => $this->t('<a href=":docs">Learn more about seting up Drupal with LogSentry.</a>', [':docs' => 'https://logsentry.gitbook.io/logsentry/recieving-logs/using-drupal']),
    ];

    $form['project_id'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Project ID'),
      '#config_target' => new ConfigTarget(
        'logsentry.settings',
        'project_id'
      ),
      '#description' => $this->t('<a href=":docs">Learn more about seting up Drupal with LogSentry.</a>', [':docs' => 'https://logsentry.gitbook.io/logsentry/recieving-logs/using-drupals']),
    ];

    return parent::buildForm($form, $form_state);
  }

}
